//==============================================================================================
//
//	Microdyne Libraries for the Object Windows Libraries
//	Version 1.00
//
//	IBAR.H - Icon Bar Class
//	Copyright  1993 by Microdyne Development Technologies.
//	All rights reserved.
//==============================================================================================

#ifndef _IBAR_H
#define _IBAR_H

#include <owl.h>
#include <fontsel.h>

//----------------------------------------------------------------------------------------------
//	Icon Bar Window Class
//----------------------------------------------------------------------------------------------

_CLASSDEF (TIconBar)

class TIconBar : public TWindow
{
private:
	HBRUSH				hBrush;
	WORD				wHeight;
	int					xPoint;
    PTFontSelect		pFontSelection;

protected:
	void GetWindowClass(WNDCLASS& WndClass);
	virtual void Paint (HDC hdc, PAINTSTRUCT& PaintStruct);

	virtual void WMCommand (RTMessage) = [WM_FIRST + WM_COMMAND];
	virtual void WMCtlColor (RTMessage) = [WM_FIRST + WM_CTLCOLOR];
	virtual void WMSetFocus (RTMessage) = [WM_FIRST + WM_SETFOCUS];

public:
	TIconBar (PTWindowsObject AParent, WORD wHeight = 0);
	~TIconBar ();

	virtual WORD GetHeight ();
	virtual void GetSelectedFontFamilyName (WORD cchMax, LPSTR lpFamilyName);
	virtual int	 GetSelectedFontSize ();
	virtual void InsertSpace() { xPoint += 10; }
	virtual BOOL IsButtonChecked (WORD Id);
	virtual void PlaceButton (WORD x, WORD y, WORD Id, BOOL fState = FALSE);
	virtual void PlaceButton (WORD Id, BOOL fState = FALSE);
	virtual void PlaceFontSelectionControl (WORD x, WORD y, WORD Id);
	virtual void PlaceFontSelectionControl (WORD Id);
	virtual void RemoveControl (WORD Id);
	virtual void SetButtonCommandCode (WORD Id, WORD cmd);
	virtual void SetButtonState (WORD Id, BOOL fState);
	virtual void SetFontFamilyName (LPSTR lpFamilyName);
	virtual void SetFontFamilyCommandCode (WORD code);
	virtual void SetFontSize (int s);
	virtual void SetFontSizeCommandCode (WORD code);
	virtual void SetFontStyle(LOGFONT FAR *lplf);
	virtual void SetStartPoint (WORD x) { xPoint = x; }
};
#endif